Piplay 1.2.63 released version discussion


#65

This version not working for me.Piplay start but cant find device.Im back to 1.2.57.
Many people have this problem please pimax team fix this or release new version.


#66

I think Bdwind is talking about a recent patch to the live server on Elite Dangerous - they are 2.3.1 now, and not the recent pimax driver patch.

Bdwind, turn down in ED graphics settings ‘HUD Quality’ and SuperSampling just 1 notch on the option selecter, that should help - also if you have shadows turned on and anything higher than LOW, turn them down to LOW or OFF if your card is struggling.

Eno.


#67

This is not a server patch, this been client patch. I’m just have’t problems with 1.2.63 about find device and think this is customer windows issues. Yes, if i try set up for HMD multisampling i have fps drops, but my gtx don’t use all % of load GPU, i don’t know why.


#68

Pimax has the wost software engineers lol

Gotta laugh at this company!!

Just open up your software and people will fix it for free and you can focus on others things.

Thank god I bought a Vive!

You owners must be so pist

Can’t fix problems, don’t focus on what people repeatabley tell them, release more beta version with more problems lol

Worst of all they can’t even get 4k working!!!


#69

Hello there,
can u please respond us

we need to heard even in chines, will use google traduction, but we need fix all pimax problem

please


Let’s talk here --> https://discord.gg/fW7TtPB
youtube Channel --> https://www.youtube.com/channel/UCXfuq-tqCApmsx9qEBsvzzg
Twitter --> https://twitter.com/pimax4kuhdfr


#70

Does anyone have a mirror of that driver?


#71

Updated to 1.2.63, now headset does not work AT ALL, not even the LEDs work! Tried unisnstalling and reinstalling previous release and now that doesn’t work either.


#72

Hello there,

i create a mirror on mega :slight_smile:
all the piplay are here --> https://mega.nz/#F!sm4UXRiZ!dyLO48fw9atfacHDujNWCg


Let’s talk here --> https://discord.gg/fW7TtPB
youtube Channel --> https://www.youtube.com/channel/UCXfuq-tqCApmsx9qEBsvzzg
Twitter --> https://twitter.com/pimax4kuhdfr


#73

I guess link to 1.2.63 was removed until it gets patched due to connection issues. Use 1.2.57 in the meanwhile (or 1.1.92)


#74

u right

the link is remove.


Let’s talk here --> https://discord.gg/fW7TtPB
youtube Channel --> https://www.youtube.com/channel/UCXfuq-tqCApmsx9qEBsvzzg
Twitter --> https://twitter.com/pimax4kuhdfr


#75

What happened to 2560x1440 option? Did it make a difference anyway? Has now been replaced with supersampling option?


#76

Last versions has 2k by default. Settings allowing to decrease it down to full hd. Yes, it makes a difference (good one).


#77

last version is 1.2.63 or 1.2.57 .???


Let’s talk here --> https://discord.gg/fW7TtPB
youtube Channel --> https://www.youtube.com/channel/UCXfuq-tqCApmsx9qEBsvzzg
Twitter --> https://twitter.com/pimax4kuhdfr


#78

1.2.57, cause 63 have issues, and then links deleted.


#79

Does 2k also work in Steam mode and PImax extend mode?


#80

So once again, 2k works for all mods for all versions.


#81

Automatically updated from 1.2.57 to 1.2.63 yesterday. Works perfectly on my alienware15 R3 laptop. The only problem is that increasing display quality is too heavy for my GeForce GTX 1070 (tested with Elite Dangerous). I had to put the setting quality to 1.25 instead of 3 (maximum level). On level 3, the quality display looks fantastic anyway…

Will my configuration able to run future Pimax 8k? Not sure. If I can’t run pimax4K at highest quality, I think I will not be able to run Pimax8K.


#82

I think Pimax 8k needs pc with 2 video card as gtx1080 in sli


#83

For VR does not work SLI.


#85